<script>
import {IonIcon} from "@ionic/vue";
import {Head} from "@inertiajs/vue3";

export default {
  components: { IonIcon, Head },

  props: {},

  setup(props) {

    return {}
  }
}
</script>

<template>
  <Head title="Главная страница" />

  <section id="slide">
    <div class="elementor-background-overlay"></div>
    <div class="main-banner-area parallax">
      <div class="container">
        <div class="row">
          <div class="col-lg-7 col-md-12 col-sm-12 col-xs-12">
            <div class="main-banner-content block">
              <span class="metka" data-aos="fade-up">Программирование с нуля</span>
              <h1 data-aos="fade-left">Курс «Python-разработчик»</h1>
              <div class="desc_course" data-aos="fade-up">
                <p>Курс "Программирование на Python" предназначен для начинающих, желающих овладеть третьим по популярности языком программирования в мире с нуля.
                  Освойте этот язык и параллельно погрузитесь в процесс игры. Данный курс рассчитан на выполнение теоретических и практических заданий.</p>
                <div>
                  <div class="h1_buttons">
                    <a href="" class="zapis" data-aos="flip-left">Записаться <ion-icon name="arrow-forward-outline"></ion-icon></a>
                    <a href="#programma" class="program" data-aos="flip-left">Посмотреть программу</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-lg-5 col-md-12 col-sm-12 col-xs-12">
            <div class="main-banner-image">
              <img class="programming" data-aos="fade-up" data-aos-duration="800" src="../../img/programming-banner.webp" alt="">
              <img class="shape" src="../../img/shape-13.png" alt="">
              <div class="">
                <div class="parallax__layer">
                <img class="python-icon" data-aos="fade-down" data-aos-duration="800" src="../../img/python-icon.png" alt="">
                </div>
                <div class="parallax__layer">
                  <img class="code-icon" data-aos="fade-down" data-aos-duration="800" src="../../img/code-icon.png" alt="">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section id="who" class="block">
    <div class="container">
      <div class="section_title">
        <h2>
          <span>Кому подойдет данный курс</span>
        </h2>
      </div>
      <div class="section_body">
        <div class="who_body">
          <div class="row">
            <div class="col-lg-4 col-sm-6 col-xs-12">
              <div class="who_block aos-item aos-init aos-animate" data-aos="fade-up">
                <div class="inner">
                  <div class="thumbnail">
                    <div>
                      <img src="../../img/who-1.jpg" alt="">
                    </div>
                  </div>
                  <div class="content">
                    <span>Начинающим</span>
                    <p>Подойдет тем, у кого нет опыта или его мало</p>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-4 col-sm-6 col-xs-12">
              <div class="who_block aos-item aos-init aos-animate" data-aos="fade-up">
                <div class="inner">
                  <div class="thumbnail">
                    <div>
                      <img src="../../img/who-2.jpg" alt="">
                    </div>
                  </div>
                  <div class="content">
                    <span>Актуальная профессия</span>
                    <p>Кто хочет получить востребованную специальность</p>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-lg-4 col-sm-6 col-xs-12">
              <div class="who_block aos-item aos-init aos-animate" data-aos="fade-up">
                <div class="inner">
                  <div class="thumbnail">
                    <div>
                      <img src="../../img/who-3.webp" alt="">
                    </div>
                  </div>
                  <div class="content">
                    <span>Повышение навыков</span>
                    <p>Для повышения личных навыков и умений, которые идут в портфолио</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <section id="advantages">
      <div class="elementor-background-overlay"></div>
      <div class="elementor-container">
        <div class="container">
          <div class="section_title">
            <h2>
              <span>Плюсы языка Python</span>
            </h2>
          </div>
          <div class="section_body">
            <div class="advantages_body">
              <div class="row">
                <div class="col-xl-3 col-lg-6 col-sm-6 col-xs-12">
                  <div class="advantages_block aos-item aos-init aos-animate" data-aos="fade-up">
                    <div class="image">
                      <img src="../../img/features1.png" alt="">
                      <div class="icon">
                        <img src="../../img/icon3.svg" alt="">
                      </div>
                    </div>
                    <h3>Простота изучения</h3>
                    <p>У Python простой синтаксис, который легко читать и понимать. Это делает его идеальным для начинающих программистов.</p>
                  </div>
                </div>
                <div class="col-xl-3 col-lg-6 col-sm-6 col-xs-12">
                  <div class="advantages_block aos-item aos-init aos-animate" data-aos="fade-up">
                    <div class="image">
                      <img src="../../img/features2.png" alt="">
                      <div class="icon">
                        <img src="../../img/icon7.svg" alt="">
                      </div>
                    </div>
                    <h3>Библиотеки и фреймворки</h3>
                    <p>Python имеет много библиотек и фреймворков, которые помогают разработчикам ускорить процесс разработки.</p>
                  </div>
                </div>
                <div class="col-xl-3 col-lg-6 col-sm-6 col-xs-12">
                  <div class="advantages_block aos-item aos-init aos-animate" data-aos="fade-up">
                    <div class="image">
                      <img src="../../img/features3.png" alt="">
                      <div class="icon">
                        <img src="../../img/icon8.svg" alt="">
                      </div>
                    </div>
                    <h3>Кроссплатформенность</h3>
                    <p>Python может работать на разных операционных системах, таких как Windows, Linux, Mac OS и других.</p>
                  </div>
                </div>
                <div class="col-xl-3 col-lg-6 col-sm-6 col-xs-12">
                  <div class="advantages_block aos-item aos-init aos-animate" data-aos="fade-up">
                    <div class="image">
                      <img src="../../img/features4.png" alt="">
                      <div class="icon">
                        <img src="../../img/icon4.svg" alt="">
                      </div>
                    </div>
                    <h3>Интерактивность</h3>
                    <p>Python позволяет быстро тестировать код благодаря интерактивной консоли.</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  <section id="about">
      <div class="container">
        <div class="section_body">
          <div class="row">
            <div class="col-lg-4 col-xs-12">
              <div class="about-img" data-aos="fade-up">
                <img src="../../img/overview.png" alt="">
              </div>
            </div>
            <div class="col-lg-8 col-xs-12 ">
              <div class="about_body" data-aos="fade-up">
                <div class="section_title">
                  <h2>
                    <span>Главное о профессии</span>
                  </h2>
                </div>
                <div class="about_text">
                  <p>Python – это универсальный язык программирования, который находит применение в различных областях, начиная от создания веб-сайтов и веб-приложений и заканчивая разработкой алгоритмов машинного обучения и проведением научных исследований.</p>
                  <p>Данный курс фокусируется на создании увлекательных игровых сценариев и функциональных приложений, которые захватят воображение и вдохновят на творчество.</p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  <section id="programma">
      <div class="container">
        <div class="section_title">
          <h2>
            <span>Программа обучения</span>
          </h2>
        </div>
        <div class="section_desc">
          <p>Курс рассчитан на ~36 часов, но заниматься можно в своём темпе. Доступ к материалам останется у вас навсегда — можно в любой момент вернуться, повторить пройденное или проверить себя.</p>
        </div>
        <div class="section_body">
          <div class="courses">
            <div class="course" data-aos="fade-up">
              <ul class="course_m">
                <li>4 темы</li>
                <li>2 проекта</li>
                <li>6 часов</li>
              </ul>
              <div class="course_desc">
                <div class="course_title">
                  Основы Python
                </div>
                <ul class="course_t">
                  <li>Переменные и типы</li>
                  <li>Условия</li>
                  <li>Циклы</li>
                  <li>Функции</li>
                </ul>
                <div class="icon_course">
                  <img src="../../img/featrues-img-01.webp" alt="">
                </div>
              </div>
            </div>
            <div class="course" data-aos="fade-up">
              <ul class="course_m">
                <li>4 темы</li>
                <li>5 проектов</li>
                <li>12 часов</li>
              </ul>
              <div class="course_desc">
                <div class="course_title">
                  Углубленный Python
                </div>
                <ul class="course_t">
                  <li>Коллекции</li>
                  <li>Множества</li>
                  <li>Объекты и классы</li>
                  <li>Библиотеки</li>
                </ul>
                <div class="icon_course">
                  <img src="../../img/featrues-img-02.webp" alt="">
                </div>
              </div>
            </div>
            <div class="course" data-aos="fade-up">
              <ul class="course_m">
                <li>4 темы</li>
                <li>2 проекта</li>
                <li>18 часов</li>
              </ul>
              <div class="course_desc">
                <div class="course_title">
                  Алгоритмы и структуры данных
                </div>
                <ul class="course_t">
                  <li>Рекурсия</li>
                  <li>Сортировка</li>
                  <li>Arcades GUI</li>
                  <li>PyGame</li>
                </ul>
                <div class="icon_course">
                  <img src="../../img/featrues-img-03.webp" alt="">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  <section id="what">
      <div class="what-bg"></div>
      <div class="what-body">
        <div class="container">
          <div class="section_title">
            <h2>
              <span>Что Вас ждет?</span>
            </h2>
          </div>
          <div class="what_text">
            <p>В данном курсе представлен персональный кабинет с обширными материалами уроков. Каждая тема сопровождается тестовыми заданиями и теорией, которые помогут вам углубить свои знания. После завершения каждого модуля предстоит пройти итоговый контроль, чтобы получить доступ к последующим материалам.</p>
            <p>Мы особое внимание уделяем разработке игровых приложений, чтобы сделать ваше обучение увлекательным и интересным. Каждый урок сопровождается созданием игрового приложения, которое поможет вам применить полученные знания на практике.</p>
            <p>По окончании курса вы обретете прочную базу в Python, которая позволит вам более глубоко погрузиться в интересующие вас темы разработки.</p>
            <p>На нашем курсе вы также углубленно изучите создание игр с использованием различных библиотек Python.</p>
          </div>
        </div>
      </div>
  </section>
</template>

